Loading...
Searching...
No Matches
point_interpreter Struct Reference
Inheritance diagram for point_interpreter:

## Public Member Functions

| point_interpreter (ojph::point &val)
virtual void | operate (const char *str)

## Public Attributes

ojph::point & | val

## Detailed Description

Definition at line 197 of file ojph_compress.cpp.

## Constructor & Destructor Documentation

## point_interpreter()

point_interpreter::point_interpreter | ( | ojph::point & | val | ) |

inline

Definition at line 199 of file ojph_compress.cpp.

References val.

## Member Function Documentation

## operate()

virtual void point_interpreter::operate | ( | const char * | str | ) |

inline virtual

Implements ojph::cli_interpreter::arg_inter_base.

Definition at line 200 of file ojph_compress.cpp.

References val.

## Member Data Documentation

## val

ojph::point& point_interpreter::val

Definition at line 224 of file ojph_compress.cpp.

Referenced by operate(), and point_interpreter().

The documentation for this struct was generated from the following file:

- /build/openjph-z1hyMm/openjph-0.28.1/src/apps/ojph_compress/ojph_compress.cpp